#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5dc2ec67, "module_layout" },
	{ 0x4a3dce40, "driver_unregister" },
	{ 0x83b8fc19, "uart_unregister_driver" },
	{ 0x603fa31b, "i2c_del_driver" },
	{ 0x5848e878, "__spi_register_driver" },
	{ 0xe865c4e, "i2c_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0xb2f629a, "uart_register_driver" },
	{ 0xb4078fde, "__devm_regmap_init_i2c" },
	{ 0xa465f1b1, "spi_get_device_id" },
	{ 0x2a628d9b, "__devm_regmap_init_spi" },
	{ 0x97c53e63, "device_get_match_data" },
	{ 0xef43937d, "spi_setup" },
	{ 0xf797d425, "__dynamic_dev_dbg" },
	{ 0x38b1c830, "devm_request_threaded_irq" },
	{ 0x2b880cca, "uart_add_one_port" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x666c257c, "kthread_stop" },
	{ 0x24706437, "gpiochip_remove" },
	{ 0x222a7e3a, "uart_remove_one_port" },
	{ 0xc4c8eaf5, "gpiochip_add_data_with_key" },
	{ 0x6b3ed0b0, "sched_set_fifo" },
	{ 0x8a1b3bf8, "wake_up_process" },
	{ 0x8c39a81e, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x9bd89c82, "__kthread_init_worker" },
	{ 0x8781f1cf, "__mutex_rt_init" },
	{ 0x7f6b7f77, "rt_mutex_base_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x438289a5, "devm_clk_get_optional" },
	{ 0x3a795162, "device_property_read_u32_array" },
	{ 0x4bbb927e, "devm_kmalloc" },
	{ 0xf683bc48, "rt_spin_unlock" },
	{ 0xdd31848e, "rt_spin_lock" },
	{ 0x99b5ef35, "gpiochip_get_data" },
	{ 0x474b780b, "kthread_queue_work" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x40f12297, "uart_update_timeout" },
	{ 0xc580f6fd, "uart_get_baud_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf3de6049, "_dev_warn" },
	{ 0x4ca1e5a6, "do_SAK" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x14b1cc2, "tty_flip_buffer_push" },
	{ 0x7e8950e5, "uart_try_toggle_sysrq" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0xeb5154ab, "uart_insert_char" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6cc81746, "regmap_raw_read" },
	{ 0xd6d97902, "mutex_unlock" },
	{ 0x7c33e8f0, "mutex_lock" },
	{ 0x14bfae1c, "_dev_err" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x712b4f76, "uart_write_wakeup" },
	{ 0x15912357, "regmap_raw_write" },
	{ 0xed9d32d8, "regcache_cache_bypass" },
	{ 0x626dfa41, "kthread_flush_worker" },
	{ 0x88e0c71f, "regmap_write" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xb0b2744f, "regmap_read" },
	{ 0x9f92d01b, "regmap_update_bits_base" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "regmap-i2c,regmap-spi");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "1424FE907A91159D33BDE61");

MODULE_INFO(suserelease, "SLE15-SP5");
